> ## Documentation Index
> Fetch the complete documentation index at: https://docs.magna.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim Stake Rewards Parameters

> Constructs transaction parameters for claiming stake rewards so the user could sign it



## OpenAPI

````yaml /apis/portal/openapi.json get /api/{portalId}/parameters/claim-stake-rewards
openapi: 3.0.2
info:
  title: Magna Portal API
  version: 1.0.0
servers: []
security: []
tags:
  - name: Auth
    description: Authentication related endpoints
  - name: Token
    description: Token claiming
  - name: Config
    description: Portal configuration
  - name: Misc
    description: Miscellaneous operational endpoints
  - name: Staking
    description: Staking pool operations
  - name: Compliance
    description: Wallet compliance operations
paths:
  /api/{portalId}/parameters/claim-stake-rewards:
    get:
      tags:
        - Staking
      summary: Claim Stake Rewards Parameters
      description: >-
        Constructs transaction parameters for claiming stake rewards so the user
        could sign it
      parameters:
        - name: portalId
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: portal id
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                type: object
                properties:
                  from:
                    type: string
                    description: wallet address of the sender
                  to:
                    type: string
                    description: address of the contract
                  data:
                    type: string
                    description: data of the transaction
                  platformFee:
                    type: string
                    description: value of the transaction
                required:
                  - from
                  - to
                  - data
                  - platformFee
                description: Ok
                example:
                  from: '0x99Fcf70F401A2308C37C7e8d726fFBfe89AF1Bbd'
                  to: '0x1d654f0984e9f42BF8F9bD69A6C23965310c81D1'
                  data: >-
                    0x1bff5ed900000000000000000000000000000000000000000000000000000000000000400000000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000002463383662336533632d636633382d343139302d626539662d62373936386238353662373800000000000000000000000000000000000000000000000000000000
                  platformFee: '0'
        '400':
          description: Client Error
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    properties:
                      errors:
                        type: array
                        items:
                          type: object
                          properties:
                            path:
                              type: string
                            message:
                              type: string
                          required:
                            - path
                            - message
                    required:
                      - errors
                  - type: object
                    properties:
                      error:
                        oneOf:
                          - type: string
                            enum:
                              - DISTRIBUTION_NOT_FOUND
                              - HUMANITY_CHECK_INCOMPLETE
                              - DISTRIBUTION_NOT_STARTED
                              - STAKING_POOL_NOT_FOUND
                              - STAKE_NOT_FOUND
                          - type: string
                    required:
                      - error
                description: Client Error
                example:
                  errors:
                    - path: query.wallet
                      message: Required
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    enum:
                      - DISTRIBUTION_NOT_FOUND
                      - HUMANITY_CHECK_INCOMPLETE
                      - DISTRIBUTION_NOT_STARTED
                      - STAKING_POOL_NOT_FOUND
                      - STAKE_NOT_FOUND
                required:
                  - error
                description: Not Found
                example:
                  error: STAKE_NOT_FOUND
        '500':
          description: Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: error message
                required:
                  - error
                description: Server Error
                example:
                  error: internal server error

````